<template>
  <div>
    <el-tag v-show="auditInfo.auditStatus === 0" size="mini" type="info">未提交</el-tag>
    <el-tag v-show="auditInfo.auditStatus === 1 && !auditInfo.isEffective" size="mini" type="primary">审核中</el-tag>
    <el-tag v-show="auditInfo.isEffective" type="success" size="mini">已通过</el-tag>
  </div>
</template>

<script>
import { deepClone } from '@/utils'
export default {
  props: {
    audit: {
      type: Object,
      default() {
        return {
          auditStatus: 0,
          isEffective: false
        }
      }
    }
  },
  data() {
    return {
      auditInfo: deepClone(this.audit)
    }
  },
  watch: {
    audit(val) {
      this.auditInfo = deepClone(val)
    }
  }
}
</script>
